.tm-e3f1828c-container {
    overflow: hidden;
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
    --tm-gap: 40px;
    --tm-speed: 15s;
    background-color: transparent;
}

.tm-e3f1828c-track {
    display: flex;
    align-items: center;
    white-space: nowrap;
    flex-shrink: 0;
}

.tm-e3f1828c-item {
    display: inline-flex;
    align-items: center;
    margin-right: var(--tm-gap);
    flex-shrink: 0;
}

.tm-e3f1828c-text {
    display: inline-block;
    font-weight: 700;
}

.tm-e3f1828c-text.is-stroke {
    color: transparent !important;
    -webkit-text-stroke-style: solid;
}

.tm-e3f1828c-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.tm-e3f1828c-icon svg {
    display: block;
}

/* Scroll Animations */
.tm-e3f1828c-track.direction-right {
    animation: tm-scroll-right var(--tm-speed) linear infinite;
}

.tm-e3f1828c-track.direction-left {
    animation: tm-scroll-left var(--tm-speed) linear infinite;
}

/* Pause on hover */
.tm-e3f1828c-container.is-pausable:hover .tm-e3f1828c-track {
    animation-play-state: paused;
}

@keyframes tm-scroll-left {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-100%, 0, 0);
    }
}

@keyframes tm-scroll-right {
    0% {
        transform: translate3d(-100%, 0, 0);
    }
    100% {
        transform: translate3d(0, 0, 0);
    }
}
